
//===============================================================
#ifndef _MODELLIB_H_
#define _MODELLIB_H_
//===============================================================

//-----------
//Indexi
//-----------

//structures
//-------------
#define Index_Structure_Budova  0    
#define Index_Structure_Tovaren 1    
#define Index_Structure_Komin   2    
#define Index_Structure_Sklad   3    
#define Index_Structure_Stan    4   
#define Index_Structure_Letisko 5    
#define Index_Structure_Hangar  6
#define Index_Structure_Dom1    7   
#define Index_Structure_Dom2    8    
#define Index_Structure_Kostol  9  

#define Index_Structure_Tank1   10  
#define Index_Structure_Tank2   11  
#define Index_Structure_Conv1   12  
#define Index_Structure_Conv2   13  
#define Index_Structure_Plane   14  

#define Index_Structure_Mesto1  15 
#define Index_Structure_Mesto2  16 
#define Index_Structure_Mesto3  17 
#define Index_Structure_Mesto4  18 

#define Index_Structure_BillBoard 19

#define Index_Structure_Strom1  20
#define Index_Structure_Strom2  21
#define Index_Structure_Strom3  22
#define Index_Structure_Strom4  23
#define Index_Structure_Palma1  24  
#define Index_Structure_Palma2  25  

//--------------------------------------------------------------
// Name: Modellib class
// Desc: **************
//--------------------------------------------------------------
class MODELLIB
{
public:

	//structures
	//-------------
	MODEL Structure_Budova;  MODEL Structure_BudovaDestroy;
	MODEL Structure_Tovaren; MODEL Structure_TovarenDestroy;
	MODEL Structure_Komin;   MODEL Structure_KominDestroy;
	MODEL Structure_Sklad;   MODEL Structure_SkladDestroy;
	MODEL Structure_Stan;    MODEL Structure_StanDestroy;
	MODEL Structure_Letisko; MODEL Structure_LetiskoDestroy;
	MODEL Structure_Hangar;  MODEL Structure_HangarDestroy;
	MODEL Structure_Dom1;    MODEL Structure_Dom1Destroy;
	MODEL Structure_Dom2;    MODEL Structure_Dom2Destroy;
	MODEL Structure_Kostol;  MODEL Structure_KostolDestroy;

	MODEL Structure_Tank1;   MODEL Structure_Tank1Destroy;
	MODEL Structure_Tank2;   MODEL Structure_Tank2Destroy;
	MODEL Structure_Conv1;   MODEL Structure_Conv1Destroy;
	MODEL Structure_Conv2;   MODEL Structure_Conv2Destroy;
	MODEL Structure_Plane;   MODEL Structure_PlaneDestroy;

	MODEL Structure_Mesto1;  MODEL Structure_Mesto1Destroy;
	MODEL Structure_Mesto2;  MODEL Structure_Mesto2Destroy;
	MODEL Structure_Mesto3;  MODEL Structure_Mesto3Destroy;
	MODEL Structure_Mesto4;  MODEL Structure_Mesto4Destroy;

	MODEL Structure_BillBoard; 

	MODEL Structure_Strom1;
	MODEL Structure_Strom2;
	MODEL Structure_Strom3;
	MODEL Structure_Strom4;
	MODEL Structure_Palma1;
	MODEL Structure_Palma2;

	MODEL *GetStructure(int MIndex);
	MODEL *GetDestroyedStructure(int MIndex);

	//messerschmitt
	//-------------
	MODEL MesserSchmitt_ModelNormal;
	MODEL MesserSchmitt_ModelDestroyed;

	//Volker
	//-------------
	MODEL Volker_ModelNormal;
	MODEL Volker_ModelDestroyed;

	//bombarder
	//-------------
	MODEL Bombarder_ModelNormal;
	MODEL Bombarder_ModelDestroyed;

	//vrtula
	MODEL Vrtula;

	//trucks
	//-------------
	MODEL Truck_ModelBack;
	MODEL Truck_ModelCannon;
	MODEL Truck_ModelDestroyed;

	//functions
	//----------------
	void Initialize();

};


//===============================================================
#endif //_MODELLIB_H_